Index: trunk/src/uvmat.m
===================================================================
--- trunk/src/uvmat.m	(revision 278)
+++ trunk/src/uvmat.m	(revision 292)
@@ -147,9 +147,9 @@
 %                     = translate: translate an existing object
 %                    = calibration: move a calibration point
-%                    = zoom: isolate a subregion for zoom in=1 if an object is being currently drawn, 0 else (set to 0 by releasing mouse button)
+%                    = CheckZoom: isolate a subregion for CheckZoom in=1 if an object is being currently drawn, 0 else (set to 0 by releasing mouse button)
 %            .CurrentOrigin: Origin of a curently drawn edit_object
 %            .CurrentLine: currently drawn menuline (A REVOIR)
 %            .CurrentObject: handle of the currently drawn edit_object
-%            .CurrentRectZoom: current rectangle used for zoom
+%            .CurrentRectZoom: current rectangle used for CheckZoom
 
 % Properties attached to projection objects (create, menuline, menuplane...):
@@ -714,15 +714,15 @@
 if isfield(imainfo,'Width') && isfield(imainfo,'Height')
     if length(imainfo)>1
-        set(handles.npx,'String',num2str(imainfo(1).Width));%fills nbre of pixels x box
-        set(handles.npy,'String',num2str(imainfo(1).Height));%fills nbre of pixels x box
+        set(handles.num_Npx,'String',num2str(imainfo(1).Width));%fills nbre of pixels x box
+        set(handles.num_Npy,'String',num2str(imainfo(1).Height));%fills nbre of pixels x box
     else
-        set(handles.npx,'String',num2str(imainfo.Width));%fills nbre of pixels x box
-        set(handles.npy,'String',num2str(imainfo.Height));%fills nbre of pixels x box
-    end
-else
-    set(handles.npx,'String','');%fills nbre of pixels x box
-    set(handles.npy,'String','');%fills nbre of pixels x box
-end
-set(handles.BW,'Value',strcmp(ColorType,'grayscale'))% select handles.BW if grayscale image
+        set(handles.num_Npx,'String',num2str(imainfo.Width));%fills nbre of pixels x box
+        set(handles.num_Npy,'String',num2str(imainfo.Height));%fills nbre of pixels x box
+    end
+else
+    set(handles.num_Npx,'String','');%fills nbre of pixels x box
+    set(handles.num_Npy,'String','');%fills nbre of pixels x box
+end
+set(handles.CheckBW,'Value',strcmp(ColorType,'grayscale'))% select handles.CheckBW if grayscale image
 
 % read parameters (time, geometric calibration..) from a documentation file (.xml advised)
@@ -783,6 +783,6 @@
     elseif error==1, warntext='inconsistent number of fields in the .civ file';
     end  
-    set(handles.npx,'String',num2str(npx));%fills nbre of pixels x box
-    set(handles.npy,'String',num2str(npy));%fills nbre of pixels y box
+    set(handles.num_Npx,'String',num2str(npx));%fills nbre of pixels x box
+    set(handles.num_Npy,'String',num2str(npy));%fills nbre of pixels y box
     set(handles.pxcm,'String',num2str(pxcmx));%fills scale x (pixel/cm) box
     set(handles.pycm,'String',num2str(pxcmy));%fills scale y (pixel/cm) box
@@ -842,5 +842,5 @@
             set(handles.pycm,'String',num2str(pixcmy))
         end
-        if ~get(handles.FixLimits,'Value')
+        if ~get(handles.CheckFixLimits,'Value')
             set(handles.transform_fct,'Value',2); % phys transform by default if fixedLimits is off
         end
@@ -900,5 +900,5 @@
             col_vec={'get_field...'};
         end
-        set(handles.col_vec,'String',col_vec)
+        set(handles.ListColorScalar,'String',col_vec)
     end
 end
@@ -1246,13 +1246,13 @@
 end
 if ~isempty(imainfo)% (an image has been introduced as second fierld input)
-    if strcmp(get(handles.npx,'String'),'') || strcmp(get(handles.npy,'String'),'')%update npx and npy if it is not already filled by the first input field
+    if strcmp(get(handles.num_Npx,'String'),'') || strcmp(get(handles.num_Npy,'String'),'')%update npx and npy if it is not already filled by the first input field
         if  isfield(imainfo,'Width') && isfield(imainfo,'Height')
-            set(handles.npx,'String',num2str(imainfo.Width));%fills nbre of pixels x box
-            set(handles.npy,'String',num2str(imainfo.Height));%fills nbre of pixels x box
+            set(handles.num_Npx,'String',num2str(imainfo.Width));%fills nbre of pixels x box
+            set(handles.num_Npy,'String',num2str(imainfo.Height));%fills nbre of pixels x box
         else
-            set(handles.npx,'String','');%fills nbre of pixels x box
-            set(handles.npy,'String','');%fills nbre of pixels x box
-        end
-        set(handles.BW,'Value',strcmp(ColorType,'grayscale'))% select handles.BW if grayscale image
+            set(handles.num_Npx,'String','');%fills nbre of pixels x box
+            set(handles.num_Npy,'String','');%fills nbre of pixels x box
+        end
+        set(handles.CheckBW,'Value',strcmp(ColorType,'grayscale'))% select handles.CheckBW if grayscale image
     end
 end
@@ -1290,6 +1290,6 @@
     end
     
-    set(handles.npx,'String',num2str(npx));%fills nbre of pixels x box
-    set(handles.npy,'String',num2str(npy));%fills nbre of pixels y box
+    set(handles.num_Npx,'String',num2str(npx));%fills nbre of pixels x box
+    set(handles.num_Npy,'String',num2str(npy));%fills nbre of pixels y box
     set(handles.pxcm,'String',num2str(pxcmx));%fills scale x (pixel/cm) box
     set(handles.pycm,'String',num2str(pxcmy));%fills scale y (pixel/cm) box
@@ -1683,5 +1683,4 @@
 function runplus_Callback(hObject, eventdata, handles)
 %-------------------------------------------------------------------
-eventdata
 set(handles.runplus,'BackgroundColor',[1 1 0])%paint the command button in yellow
 drawnow
@@ -2115,9 +2114,9 @@
         end
         if strcmp(FieldName,'velocity')
-            list_code=get(handles.color_code,'String');% list menu fields
-            index_code=get(handles.color_code,'Value');% selected string index
+            list_code=get(handles.ListColorCode,'String');% list menu fields
+            index_code=get(handles.ListColorCode,'Value');% selected string index
             if  ~strcmp(list_code{index_code},'black') &&  ~strcmp(list_code{index_code},'white')
-                list_code=get(handles.col_vec,'String');% list menu fields
-                index_code=get(handles.col_vec,'Value');% selected string index
+                list_code=get(handles.ListColorScalar,'String');% list menu fields
+                index_code=get(handles.ListColorScalar,'Value');% selected string index
                 ParamIn.ColorVar= list_code{index_code}; % selected field
             end
@@ -2156,6 +2155,6 @@
     end        
     if isfield(ParamOut,'Npx')&& isfield(ParamOut,'Npy')
-        set(handles.npx,'String',num2str(ParamOut.Npx));% display image size on the interface
-        set(handles.npy,'String',num2str(ParamOut.Npy));
+        set(handles.num_Npx,'String',num2str(ParamOut.Npx));% display image size on the interface
+        set(handles.num_Npy,'String',num2str(ParamOut.Npy));
     end
     if isfield(ParamOut,'TimeIndex')
@@ -2235,9 +2234,9 @@
             end
             if strcmp(FieldName_1,'velocity')
-                list_code=get(handles.color_code,'String');% list menu fields
-                index_code=get(handles.color_code,'Value');% selected string index
+                list_code=get(handles.ListColorCode,'String');% list menu fields
+                index_code=get(handles.ListColorCode,'Value');% selected string index
                 if  ~strcmp(list_code{index_code},'black') &&  ~strcmp(list_code{index_code},'white')
-                    list_code=get(handles.col_vec,'String');% list menu fields
-                    index_code=get(handles.col_vec,'Value');% selected string index
+                    list_code=get(handles.ListColorScalar,'String');% list menu fields
+                    index_code=get(handles.ListColorScalar,'Value');% selected string index
                     ParamIn.ColorVar= list_code{index_code}; % selected field
                 end
@@ -2268,9 +2267,9 @@
 %% update uvmat interface
 if isfield(ParamOut,'Npx')
-    set(handles.npx,'String',num2str(ParamOut.Npx));% display image size on the interface
-    set(handles.npy,'String',num2str(ParamOut.Npy));
+    set(handles.num_Npx,'String',num2str(ParamOut.Npx));% display image size on the interface
+    set(handles.num_Npy,'String',num2str(ParamOut.Npy));
 elseif isfield(ParamOut_1,'Npx')
-    set(handles.npx,'String',num2str(ParamOut_1.Npx));% display image size on the interface
-    set(handles.npy,'String',num2str(ParamOut_1.Npy));
+    set(handles.num_Npx,'String',num2str(ParamOut_1.Npx));% display image size on the interface
+    set(handles.num_Npy,'String',num2str(ParamOut_1.Npy));
 end
 
@@ -2581,5 +2580,5 @@
     UvData.Object{1}.DisplayHandle_uvmat=[]; %plane not visible in uvmat
     set(handles.list_object_1,'Value',1);
-    list_object=get(handles.list_object_1,'String')
+    list_object=get(handles.list_object_1,'String');
     if isempty(list_object)
         list_object={''};
@@ -2599,6 +2598,6 @@
 %% reset the min and max of scalar if only the mask is displayed(TODO: check the need)
 if isfield(UvData,'Mask')&& ~isfield(UvData,'A')
-    set(handles.MinA,'String','0')
-    set(handles.MaxA,'String','255')
+    set(handles.num_MinA,'String','0')
+    set(handles.num_MaxA,'String','255')
 end
 
@@ -2625,6 +2624,7 @@
     haxes(1)=handles.axes3;
 end
-PlotParam{1}=read_plot_param(handles);%read plotting parameters on the uvmat interfac
-keeplim(1)=get(handles.FixLimits,'Value');% test for fixed graph limits
+%PlotParam{1}=read_plot_param(handles);%read plotting parameters on the uvmat interfac
+PlotParam{1}=read_GUI(handles.uvmat);
+keeplim(1)=get(handles.CheckFixLimits,'Value');% test for fixed graph limits
 PosColorbar{1}=UvData.OpenParam.PosColorbar;%prescribe the colorbar position on the uvmat interface
 
@@ -2640,6 +2640,7 @@
         plot_handles{2}=guidata(view_field_handle);
         haxes(2)=plot_handles{2}.axes3;
-        PlotParam{2}=read_plot_param(plot_handles{2});%read plotting parameters on the uvmat interface
-        keeplim(2)=get(plot_handles{2}.FixLimits,'Value');
+        %PlotParam{2}=read_plot_param(plot_handles{2});%read plotting parameters on the viewinterface
+        PlotParam{2}=read_GUI(handles.uvmat);%read plotting parameters on the uvmat interface
+        keeplim(2)=get(plot_handles{2}.CheckFixLimits,'Value');
         PosColorbar{2}='*'; %TODO: deal with colorbar position on view_field
     end
@@ -2650,6 +2651,6 @@
     iobj=IndexObj(imap);
     [ObjectData,errormsg]=proj_field(UvData.Field,UvData.Object{iobj});% project field on the object
-    if testnewseries && isfield(ObjectData,'CoordUnit')
-        PlotParam{imap}=rmfield(PlotParam{imap},'FixEqual'); %set FixEqual to depend on the field (=1 if Data.CoordUnit=1 in plot_field)
+    if testnewseries && isfield(ObjectData,'CoordUnit')&& isfield(PlotParam{imap},'Coordinates')
+        PlotParam{imap}=rmfield(PlotParam{imap}.Coordinates,'CheckFixEqual'); %set FixEqual to depend on the field (=1 if Data.CoordUnit=1 in plot_field)
     end 
     if ~isempty(errormsg)
@@ -2872,25 +2873,25 @@
 
 %-------------------------------------------------------------------
-% --- Executes on button press in 'FixLimits'.
-%-------------------------------------------------------------------
-function FixLimits_Callback(hObject, eventdata, handles)
-test=get(handles.FixLimits,'Value');
+% --- Executes on button press in 'CheckFixLimits'.
+%-------------------------------------------------------------------
+function CheckFixLimits_Callback(hObject, eventdata, handles)
+test=get(handles.CheckFixLimits,'Value');
 if test
-    set(handles.FixLimits,'BackgroundColor',[1 1 0])
-else
-    set(handles.FixLimits,'BackgroundColor',[0.7 0.7 0.7])
+    set(handles.CheckFixLimits,'BackgroundColor',[1 1 0])
+else
+    set(handles.CheckFixLimits,'BackgroundColor',[0.7 0.7 0.7])
     update_plot(handles);
 end
 
 %-------------------------------------------------------------------
-% --- Executes on button press in FixEqual.
-function FixEqual_Callback(hObject, eventdata, handles)
-test=get(handles.FixEqual,'Value');
+% --- Executes on button press in CheckFixEqual.
+function CheckFixEqual_Callback(hObject, eventdata, handles)
+test=get(handles.CheckFixEqual,'Value');
 if test
-    set(handles.FixEqual,'BackgroundColor',[1 1 0])
+    set(handles.CheckFixEqual,'BackgroundColor',[1 1 0])
     cla(handles.axes3)
     update_plot(handles);
 else
-    set(handles.FixEqual,'BackgroundColor',[0.7 0.7 0.7])
+    set(handles.CheckFixEqual,'BackgroundColor',[0.7 0.7 0.7])
     update_plot(handles);
 %     axis(handles.axes3,'image')
@@ -2901,14 +2902,14 @@
 
 %-------------------------------------------------------------------
-% --- Executes on button press in 'zoom'.
-%-------------------------------------------------------------------
-function zoom_Callback(hObject, eventdata, handles)
-
-if (get(handles.zoom,'Value') == 1); 
-    set(handles.zoom,'BackgroundColor',[1 1 0])
-    set(handles.FixLimits,'Value',1)% propose by default fixed limits for the plotting axes
-    set(handles.FixLimits,'BackgroundColor',[1 1 0]) 
-else
-    set(handles.zoom,'BackgroundColor',[0.7 0.7 0.7])
+% --- Executes on button press in 'CheckZoom'.
+%-------------------------------------------------------------------
+function CheckZoom_Callback(hObject, eventdata, handles)
+
+if (get(handles.CheckZoom,'Value') == 1); 
+    set(handles.CheckZoom,'BackgroundColor',[1 1 0])
+    set(handles.CheckFixLimits,'Value',1)% propose by default fixed limits for the plotting axes
+    set(handles.CheckFixLimits,'BackgroundColor',[1 1 0]) 
+else
+    set(handles.CheckZoom,'BackgroundColor',[0.7 0.7 0.7])
 end
 
@@ -3258,13 +3259,13 @@
 %common to Fields_1_Callback
 if isequal(field,'image')||isequal(field_1,'image')
-    set(handles.npx_title,'Visible','on')% visible npx,pxcm... buttons
-    set(handles.npy_title,'Visible','on')
-    set(handles.npx,'Visible','on')
-    set(handles.npy,'Visible','on')
-else
-    set(handles.npx_title,'Visible','off')% visible npx,pxcm... buttons
-    set(handles.npy_title,'Visible','off')
-    set(handles.npx,'Visible','off')
-    set(handles.npy,'Visible','off')
+    set(handles.TitleNpx,'Visible','on')% visible npx,pxcm... buttons
+    set(handles.TitleNpy,'Visible','on')
+    set(handles.num_Npx,'Visible','on')
+    set(handles.num_Npy,'Visible','on')
+else
+    set(handles.TitleNpx,'Visible','off')% visible npx,pxcm... buttons
+    set(handles.TitleNpy,'Visible','off')
+    set(handles.num_Npx,'Visible','off')
+    set(handles.num_Npy,'Visible','off')
 end
 setfield(handles);% update the field structure ('civ1'....)
@@ -3446,14 +3447,14 @@
 %common to Fields_Callback
 if isequal(field,'image')||isequal(field_1,'image')
-    set(handles.npx_title,'Visible','on')% visible npx,pxcm... buttons
-    set(handles.npy_title,'Visible','on')
-    set(handles.npx,'Visible','on')
-    set(handles.npy,'Visible','on')
+    set(handles.TitleNpx,'Visible','on')% visible npx,pxcm... buttons
+    set(handles.TitleNpy,'Visible','on')
+    set(handles.num_Npx,'Visible','on')
+    set(handles.num_Npy,'Visible','on')
 %     set(handles.fix_pair,'Value',0)
 else
-    set(handles.npx_title,'Visible','off')% visible npx,pxcm... buttons
-    set(handles.npy_title,'Visible','off')
-    set(handles.npx,'Visible','off')
-    set(handles.npy,'Visible','off')
+    set(handles.TitleNpx,'Visible','off')% visible npx,pxcm... buttons
+    set(handles.TitleNpy,'Visible','off')
+    set(handles.num_Npx,'Visible','off')
+    set(handles.num_Npy,'Visible','off')
 %     set(handles.fix_pair,'Value',1)
 end
@@ -3574,6 +3575,6 @@
 UvData=get(handles.uvmat,'UserData');%read UvData properties stored on the uvmat interface 
 if isequal(get(handles.VOLUME,'Value'),1)
-    set(handles.zoom,'Value',0)
-    set(handles.zoom,'BackgroundColor',[0.7 0.7 0.7])
+    set(handles.CheckZoom,'Value',0)
+    set(handles.CheckZoom,'BackgroundColor',[0.7 0.7 0.7])
     set(handles.edit_vect,'Value',0)
     edit_vect_Callback(hObject, eventdata, handles)
@@ -3633,6 +3634,6 @@
     set(handles.edit_vect,'BackgroundColor',[1 1 0])
     set(handles.edit_object,'Value',0)
-    set(handles.zoom,'Value',0)
-    set(handles.zoom,'BackgroundColor',[0.7 0.7 0.7])
+    set(handles.CheckZoom,'Value',0)
+    set(handles.CheckZoom,'BackgroundColor',[0.7 0.7 0.7])
 %     set(handles.create,'Value',0)
 %     set(handles.create,'BackgroundColor',[0 1 0])
@@ -3741,45 +3742,45 @@
 
 %------------------------------------------------------------------
-% --- Executes on selection change in col_vec: choice of the color code.
+% --- Executes on selection change in ListColorScalar: choice of the color code.
 %
-function col_vec_Callback(hObject, eventdata, handles)
+function ListColorScalar_Callback(hObject, eventdata, handles)
 %------------------------------------------------------------------
 % edit the choice for color code
-list_code=get(handles.col_vec,'String');% list menu fields
-index_code=get(handles.col_vec,'Value');% selected string index
+list_code=get(handles.ListColorScalar,'String');% list menu fields
+index_code=get(handles.ListColorScalar,'Value');% selected string index
 col_code= list_code{index_code(1)}; % selected field
 if isequal(col_code,'black') || isequal(col_code,'white')
-   set(handles.slider1,'Visible','off')
-   set(handles.slider2,'Visible','off')
-   set(handles.colcode1,'Visible','off')
-   set(handles.colcode2,'Visible','off')
-   set(handles.AutoVecColor,'Visible','off')
+   set(handles.Slider1,'Visible','off')
+   set(handles.Slider2,'Visible','off')
+   set(handles.num_ColCode1,'Visible','off')
+   set(handles.num_ColCode2,'Visible','off')
+   set(handles.CheckFixVecColor,'Visible','off')
    set_vec_col_bar(handles)
 else
-   set(handles.slider1,'Visible','on')
-   set(handles.slider2,'Visible','on') 
-   set(handles.colcode1,'Visible','on')
-   set(handles.colcode2,'Visible','on')
-   set(handles.AutoVecColor,'Visible','on')  
+   set(handles.Slider1,'Visible','on')
+   set(handles.Slider2,'Visible','on') 
+   set(handles.num_ColCode1,'Visible','on')
+   set(handles.num_ColCode2,'Visible','on')
+   set(handles.CheckFixVecColor,'Visible','on')  
    if isequal(col_code,'ima_cor')
-       set(handles.AutoVecColor,'Value',0)%fixed scale by default
-       set(handles.vec_col_bar,'Value',0)% 3 colors r,g,b by default
-       set(handles.slider1,'Min',0);
-       set(handles.slider1,'Max',1);
-       set(handles.slider2,'Min',0);
-       set(handles.slider2,'Max',1);
+       set(handles.CheckFixVecColor,'Value',0)%fixed scale by default
+       set(handles.VecColBar,'Value',0)% 3 colors r,g,b by default
+       set(handles.Slider1,'Min',0);
+       set(handles.Slider1,'Max',1);
+       set(handles.Slider2,'Min',0);
+       set(handles.Slider2,'Max',1);
  %      set(handles.min_title_vec,'String','0')
-       set(handles.max_vec,'String','1')
-       set(handles.colcode1,'String','0.333')
+       set(handles.num_MaxVec,'String','1')
+       set(handles.num_ColCode1,'String','0.333')
        colcode1_Callback(hObject, eventdata, handles)
-       set(handles.colcode2,'String','0.666')
+       set(handles.num_ColCode2,'String','0.666')
        colcode2_Callback(hObject, eventdata, handles)
    else
-       set(handles.AutoVecColor,'Value',1)%auto scale between min,max by default
-       set(handles.vec_col_bar,'Value',1)% colormap 'jet' by default
-       minval=get(handles.slider1,'Min');
-       maxval=get(handles.slider1,'Max');
-       set(handles.slider1,'Value',minval)
-       set(handles.slider2,'Value',maxval)
+       set(handles.CheckFixVecColor,'Value',1)%auto scale between min,max by default
+       set(handles.VecColBar,'Value',1)% colormap 'jet' by default
+       minval=get(handles.Slider1,'Min');
+       maxval=get(handles.Slider1,'Max');
+       set(handles.Slider1,'Value',minval)
+       set(handles.Slider2,'Value',maxval)
        set_vec_col_bar(handles)
    end
@@ -3793,14 +3794,14 @@
 % -- Executes on slider movement to set the color code
 %
-function slider1_Callback(hObject, eventdata, handles)
+function Slider1_Callback(hObject, eventdata, handles)
 %------------------------------------------------------------------
-slider1=get(handles.slider1,'Value');
-min_val=str2num(get(handles.min_vec,'String'));
-max_val=str2num(get(handles.max_vec,'String'));
+slider1=get(handles.Slider1,'Value');
+min_val=str2num(get(handles.num_MinVec,'String'));
+max_val=str2num(get(handles.num_MaxVec,'String'));
 col=min_val+(max_val-min_val)*slider1;
-set(handles.colcode1,'String',num2str(col))
-if(get(handles.slider2,'Value') < col)%move also the second slider at the same value if needed
-    set(handles.slider2,'Value',col)
-    set(handles.colcode2,'String',num2str(col))
+set(handles.num_ColCode1,'String',num2str(col))
+if(get(handles.Slider2,'Value') < col)%move also the second slider at the same value if needed
+    set(handles.Slider2,'Value',col)
+    set(handles.num_ColCode2,'String',num2str(col))
 end
 colcode1_Callback(hObject, eventdata, handles)
@@ -3809,13 +3810,13 @@
 % Executes on slider movement to set the color code
 %----------------------------------------------------------------
-function slider2_Callback(hObject, eventdata, handles)
-slider2=get(handles.slider2,'Value');
-min_val=str2num(get(handles.min_vec,'String'));
-max_val=str2num(get(handles.max_vec,'String'));
+function Slider2_Callback(hObject, eventdata, handles)
+slider2=get(handles.Slider2,'Value');
+min_val=str2num(get(handles.num_MinVec,'String'));
+max_val=str2num(get(handles.num_MaxVec,'String'));
 col=min_val+(max_val-min_val)*slider2;
-set(handles.colcode2,'String',num2str(col))
-if(get(handles.slider1,'Value') > col)%move also the first slider at the same value if needed
-    set(handles.slider1,'Value',col)
-    set(handles.colcode1,'String',num2str(col))
+set(handles.num_ColCode2,'String',num2str(col))
+if(get(handles.Slider1,'Value') > col)%move also the first slider at the same value if needed
+    set(handles.Slider1,'Value',col)
+    set(handles.num_ColCode1,'String',num2str(col))
 end
 colcode2_Callback(hObject, eventdata, handles)
@@ -3824,7 +3825,7 @@
 %execute on return carriage on the edit box corresponding to slider 1
 %----------------------------------------------------------------
-function colcode1_Callback(hObject, eventdata, handles)
-% col=str2num(get(handles.colcode1,'String'));
-% set(handles.slider1,'Value',col) 
+function num_ColCode1_Callback(hObject, eventdata, handles)
+% col=str2num(get(handles.num_ColCode1,'String'));
+% set(handles.Slider1,'Value',col) 
 set_vec_col_bar(handles)
 update_plot(handles);
@@ -3833,7 +3834,7 @@
 %execute on return carriage on the edit box corresponding to slider 2
 %----------------------------------------------------------------
-function colcode2_Callback(hObject, eventdata, handles)
-% col=str2num(get(handles.colcode2,'String'));
-% set(handles.slider2,'Value',col) 
+function num_ColCode2_Callback(hObject, eventdata, handles)
+% col=str2num(get(handles.num_ColCode2,'String'));
+% set(handles.Slider2,'Value',col) 
 % slider2_Callback(hObject, eventdata, handles)
 set_vec_col_bar(handles)
@@ -3842,24 +3843,24 @@
 %update the slider values after displaying vectors
 %--------------------------------------------------------
-% function slider_update(handles,auto,minC,colcode1,colcode2,maxC)
-% set(handles.slider1,'Min',minC) 
-% set(handles.slider1,'Max',maxC)
-% set(handles.slider2,'Min',minC) 
-% set(handles.slider2,'Max',maxC)
+% function slider_update(handles,auto,minC,num_ColCode1,num_ColCode2,maxC)
+% set(handles.Slider1,'Min',minC) 
+% set(handles.Slider1,'Max',maxC)
+% set(handles.Slider2,'Min',minC) 
+% set(handles.Slider2,'Max',maxC)
 % set(handles.min_title_vec,'String',num2str(minC))
-% set(handles.max_vec,'String',num2str(maxC))
+% set(handles.num_MaxVec,'String',num2str(maxC))
 % if auto
-%         set(handles.colcode1,'String',num2str(colcode1,3))%update display
-%         set(handles.colcode2,'String',num2str(colcode2,3))
+%         set(handles.num_ColCode1,'String',num2str(num_ColCode1,3))%update display
+%         set(handles.num_ColCode2,'String',num2str(num_ColCode2,3))
 % end
-% set(handles.slider1,'Value',colcode1)%update slider with constant display
-% set(handles.slider2,'Value',colcode2)
+% set(handles.Slider1,'Value',num_ColCode1)%update slider with constant display
+% set(handles.Slider2,'Value',num_ColCode2)
 % set_vec_col_bar(handles)
 
 
 %-------------------------------------------------------
-% --- Executes on button press in AutoVecColor.
+% --- Executes on button press in CheckFixVecColor.
 %-------------------------------------------------------
-function vec_col_bar_Callback(hObject, eventdata, handles)
+function VecColBar_Callback(hObject, eventdata, handles)
 set_vec_col_bar(handles)
 
@@ -3924,6 +3925,6 @@
 end
 
-set(handles.FixLimits,'Value',0)
-set(handles.FixLimits,'BackgroundColor',[0.7 0.7 0.7])
+set(handles.CheckFixLimits,'Value',0)
+set(handles.CheckFixLimits,'BackgroundColor',[0.7 0.7 0.7])
 
 %delete drawn objects
@@ -4041,5 +4042,5 @@
             end
         end
-%         set(haxes,'XLimMode','auto')%reset auto mode (after zoom effect)
+%         set(haxes,'XLimMode','auto')%reset auto mode (after CheckZoom effect)
 %         set(haxes,'YLimMode','auto')
 %         PlotParam.Auto_xy=1;
@@ -4053,135 +4054,135 @@
 
 %------------------------------------------------------------------------
-function MinX_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-set(handles.FixLimits,'Value',1) %suppress auto mode
-set(handles.FixLimits,'BackgroundColor',[1 1 0])
+function num_MinX_Callback(hObject, eventdata, handles)
+%------------------------------------------------------------------------
+set(handles.CheckFixLimits,'Value',1) %suppress auto mode
+set(handles.CheckFixLimits,'BackgroundColor',[1 1 0])
 update_plot(handles);
 
 %------------------------------------------------------------------------
-function MaxX_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-set(handles.FixLimits,'Value',1) %suppress auto mode
-set(handles.FixLimits,'BackgroundColor',[1 1 0])
+function num_MaxX_Callback(hObject, eventdata, handles)
+%------------------------------------------------------------------------
+set(handles.CheckFixLimits,'Value',1) %suppress auto mode
+set(handles.CheckFixLimits,'BackgroundColor',[1 1 0])
 update_plot(handles);
 
 %------------------------------------------------------------------------
-function MinY_Callback(hObject, eventdata, handles)
+function num_MinY_Callback(hObject, eventdata, handles)
 %------------------------------------------
-set(handles.FixLimits,'Value',1) %suppress auto mode
-set(handles.FixLimits,'BackgroundColor',[1 1 0])
+set(handles.CheckFixLimits,'Value',1) %suppress auto mode
+set(handles.CheckFixLimits,'BackgroundColor',[1 1 0])
 update_plot(handles);
 
 %------------------------------------------------------------------------
-function MaxY_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-set(handles.FixLimits,'Value',1) %suppress auto mode
-set(handles.FixLimits,'BackgroundColor',[1 1 0])
+function num_MaxY_Callback(hObject, eventdata, handles)
+%------------------------------------------------------------------------
+set(handles.CheckFixLimits,'Value',1) %suppress auto mode
+set(handles.CheckFixLimits,'BackgroundColor',[1 1 0])
 update_plot(handles);
 
 %------------------------------------------------------------------------
-function MinA_Callback(hObject, eventdata, handles)
+function num_MinA_Callback(hObject, eventdata, handles)
 %------------------------------------------
-set(handles.FixScal,'Value',1) %suppress auto mode
-set(handles.FixScal,'BackgroundColor',[1 1 0])
-MinA=str2double(get(handles.MinA,'String'));
-MaxA=str2double(get(handles.MaxA,'String'));
+set(handles.CheckFixScalar,'Value',1) %suppress auto mode
+set(handles.CheckFixScalar,'BackgroundColor',[1 1 0])
+MinA=str2double(get(handles.num_MinA,'String'));
+MaxA=str2double(get(handles.num_MaxA,'String'));
 if MinA>MaxA% switch minA and maxA in case of error
     MinA_old=MinA;
     MinA=MaxA;
     MaxA=MinA_old;
-    set(handles.MinA,'String',num2str(MinA,5));
-    set(handles.MaxA,'String',num2str(MaxA,5));
+    set(handles.num_MinA,'String',num2str(MinA,5));
+    set(handles.num_MaxA,'String',num2str(MaxA,5));
 end
 update_plot(handles);
 
 %------------------------------------------------------------------------
-function MaxA_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-set(handles.FixScal,'Value',1) %suppress auto mode
-set(handles.FixScal,'BackgroundColor',[1 1 0])
-MinA=str2double(get(handles.MinA,'String'));
-MaxA=str2double(get(handles.MaxA,'String'));
+function num_MaxA_Callback(hObject, eventdata, handles)
+%------------------------------------------------------------------------
+set(handles.CheckFixScalar,'Value',1) %suppress auto mode
+set(handles.CheckFixScalar,'BackgroundColor',[1 1 0])
+MinA=str2double(get(handles.num_MinA,'String'));
+MaxA=str2double(get(handles.num_MaxA,'String'));
 if MinA>MaxA% switch minA and maxA in case of error
         MinA_old=MinA;
     MinA=MaxA;
     MaxA=MinA_old;
-    set(handles.MinA,'String',num2str(MinA,5));
-    set(handles.MaxA,'String',num2str(MaxA,5));
+    set(handles.num_MinA,'String',num2str(MinA,5));
+    set(handles.num_MaxA,'String',num2str(MaxA,5));
 end
 update_plot(handles);
 
 %------------------------------------------------------------------------
-function FixScal_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-test=get(handles.FixScal,'Value');
+function CheckFixScalar_Callback(hObject, eventdata, handles)
+%------------------------------------------------------------------------
+test=get(handles.CheckFixScalar,'Value');
 if test
-    set(handles.FixScal,'BackgroundColor',[1 1 0])
-else
-    set(handles.FixScal,'BackgroundColor',[0.7 0.7 0.7])
+    set(handles.CheckFixScalar,'BackgroundColor',[1 1 0])
+else
+    set(handles.CheckFixScalar,'BackgroundColor',[0.7 0.7 0.7])
     update_plot(handles);
 end
 
 %-------------------------------------------------------------------
-function BW_Callback(hObject, eventdata, handles)
+function CheckBW_Callback(hObject, eventdata, handles)
 %-------------------------------------------------------------------
 update_plot(handles);
 
 %-------------------------------------------------------------------
-function Contours_Callback(hObject, eventdata, handles)
-%-------------------------------------------------------------------
-val=get(handles.Contours,'Value');
+function ListContour_Callback(hObject, eventdata, handles)
+%-------------------------------------------------------------------
+val=get(handles.ListContour,'Value');
 if val==2
     set(handles.interval_txt,'Visible','on')
-    set(handles.IncrA,'Visible','on')
+    set(handles.num_IncrA,'Visible','on')
 else
     set(handles.interval_txt,'Visible','off')
-    set(handles.IncrA,'Visible','off')
+    set(handles.num_IncrA,'Visible','off')
 end
 update_plot(handles);
 
 %-------------------------------------------------------------------
-function IncrA_Callback(hObject, eventdata, handles)
+function num_IncrA_Callback(hObject, eventdata, handles)
 %-------------------------------------------------------------------
 update_plot(handles);
 
 %-------------------------------------------------------------------
-function HideWarning_Callback(hObject, eventdata, handles)
+function CheckHideWarning_Callback(hObject, eventdata, handles)
 %-------------------------------------------------------------------
 update_plot(handles);
 
 %-------------------------------------------------------------------
-function HideFalse_Callback(hObject, eventdata, handles)
+function CheckHideFalse_Callback(hObject, eventdata, handles)
 %-------------------------------------------------------------------
 update_plot(handles);
 
 %-------------------------------------------------------------------
-function VecScale_Callback(hObject, eventdata, handles)
-%-------------------------------------------------------------------
-set(handles.FixVec,'Value',1);
-set(handles.FixVec,'BackgroundColor',[1 1 0])
+function num_VecScale_Callback(hObject, eventdata, handles)
+%-------------------------------------------------------------------
+set(handles.CheckFixVectors,'Value',1);
+set(handles.CheckFixVectors,'BackgroundColor',[1 1 0])
 update_plot(handles);
 
 %-------------------------------------------------------------------
-function FixVec_Callback(hObject, eventdata, handles)
-%-------------------------------------------------------------------
-test=get(handles.FixVec,'Value');
+function CheckFixVectors_Callback(hObject, eventdata, handles)
+%-------------------------------------------------------------------
+test=get(handles.CheckFixVectors,'Value');
 if test
-    set(handles.FixVec,'BackgroundColor',[1 1 0])
+    set(handles.CheckFixVectors,'BackgroundColor',[1 1 0])
 else
     update_plot(handles);
-    %set(handles.VecScale,'String',num2str(ScalOut.VecScale,3))
-    set(handles.FixVec,'BackgroundColor',[0.7 0.7 0.7])
-end
-
-%------------------------------------------------------------------------
-% --- Executes on selection change in decimate4 (nb_vec/4).
-function decimate4_Callback(hObject, eventdata, handles)
+    %set(handles.num_VecScale,'String',num2str(ScalOut.num_VecScale,3))
+    set(handles.CheckFixVectors,'BackgroundColor',[0.7 0.7 0.7])
+end
+
+%------------------------------------------------------------------------
+% --- Executes on selection change in CheckDecimate4 (nb_vec/4).
+function CheckDecimate4_Callback(hObject, eventdata, handles)
 %------------------------------------------------------------------------
 update_plot(handles);
 
 %------------------------------------------------------------------------
-% --- Executes on selection change in color_code menu
-function color_code_Callback(hObject, eventdata, handles)
+% --- Executes on selection change in ListColorCode menu
+function ListColorCode_Callback(hObject, eventdata, handles)
 %------------------------------------------------------------------------
 set_vec_col_bar(handles)
@@ -4189,36 +4190,36 @@
 
 %------------------------------------------------------------------------
-% --- Executes on button press in AutoVecColor.
-function AutoVecColor_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-test=get(handles.AutoVecColor,'Value');
+% --- Executes on button press in CheckFixVecColor.
+function CheckFixVecColor_Callback(hObject, eventdata, handles)
+%------------------------------------------------------------------------
+test=get(handles.CheckFixVecColor,'Value');
 if test
-    set(handles.AutoVecColor,'BackgroundColor',[1 1 0])
+    set(handles.CheckFixVecColor,'BackgroundColor',[1 1 0])
 else
     update_plot(handles);
-    %set(handles.VecScale,'String',num2str(ScalOut.VecScale,3))
-    set(handles.AutoVecColor,'BackgroundColor',[0.7 0.7 0.7])
-end
-
-%------------------------------------------------------------------------
-% --- Executes on selection change in max_vec.
-function min_vec_Callback(hObject, eventdata, handles)
+    %set(handles.num_VecScale,'String',num2str(ScalOut.num_VecScale,3))
+    set(handles.CheckFixVecColor,'BackgroundColor',[0.7 0.7 0.7])
+end
+
+%------------------------------------------------------------------------
+% --- Executes on selection change in num_MaxVec.
+function num_MinVec_Callback(hObject, eventdata, handles)
 %------------------------------------------------------------------------
 max_vec_Callback(hObject, eventdata, handles)
 
 %------------------------------------------------------------------------
-% --- Executes on selection change in max_vec.
-function max_vec_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-set(handles.AutoVecColor,'Value',1)
+% --- Executes on selection change in num_MaxVec.
+function num_MaxVec_Callback(hObject, eventdata, handles)
+%------------------------------------------------------------------------
+set(handles.CheckFixVecColor,'Value',1)
 AutoVecColor_Callback(hObject, eventdata, handles)
-min_val=str2num(get(handles.min_vec,'String'));
-max_val=str2num(get(handles.max_vec,'String'));
-slider1=get(handles.slider1,'Value');
-slider2=get(handles.slider2,'Value');
+min_val=str2num(get(handles.num_MinVec,'String'));
+max_val=str2num(get(handles.num_MaxVec,'String'));
+slider1=get(handles.Slider1,'Value');
+slider2=get(handles.Slider2,'Value');
 colcode1=min_val+(max_val-min_val)*slider1;
 colcode2=min_val+(max_val-min_val)*slider2;
-set(handles.colcode1,'String',num2str(colcode1))
-set(handles.colcode2,'String',num2str(colcode2))
+set(handles.num_ColCode1,'String',num2str(colcode1))
+set(handles.num_ColCode2,'String',num2str(colcode2))
 update_plot(handles);
 
@@ -4227,21 +4228,21 @@
 function set_vec_col_bar(handles)
 %------------------------------------------------------------------------
-%get the image of the color display button 'vec_col_bar' in pixels
-set(handles.vec_col_bar,'Unit','pixel');
-pos_vert=get(handles.vec_col_bar,'Position');
-set(handles.vec_col_bar,'Unit','Normalized');
+%get the image of the color display button 'VecColBar' in pixels
+set(handles.VecColBar,'Unit','pixel');
+pos_vert=get(handles.VecColBar,'Position');
+set(handles.VecColBar,'Unit','Normalized');
 width=ceil(pos_vert(3));
 height=ceil(pos_vert(4));
 
 %get slider indications
-list=get(handles.color_code,'String');
-ichoice=get(handles.color_code,'Value');
+list=get(handles.ListColorCode,'String');
+ichoice=get(handles.ListColorCode,'Value');
 colcode.ColorCode=list{ichoice};
-colcode.MinC=str2num(get(handles.min_vec,'String'));
-colcode.MaxC=str2num(get(handles.max_vec,'String'));
+colcode.MinC=str2num(get(handles.num_MinVec,'String'));
+colcode.MaxC=str2num(get(handles.num_MaxVec,'String'));
 test3color=strcmp(colcode.ColorCode,'rgb') || strcmp(colcode.ColorCode,'bgr');
 if test3color
-    colcode.colcode1=str2num(get(handles.colcode1,'String'));
-    colcode.colcode2=str2num(get(handles.colcode2,'String'));
+    colcode.colcode1=str2num(get(handles.num_ColCode1,'String'));
+    colcode.colcode2=str2num(get(handles.num_ColCode2,'String'));
 end
 colcode.FixedCbounds=0;
@@ -4256,5 +4257,5 @@
 A(:,:,2)=A2';
 A(:,:,3)=A3';
-set(handles.vec_col_bar,'Cdata',A)
+set(handles.VecColBar,'Cdata',A)
 
 
@@ -4265,5 +4266,6 @@
 UvData=get(handles.uvmat,'UserData');
 AxeData=UvData.axes3;
-PlotParam=read_plot_param(handles);
+%PlotParam=read_plot_param(handles);
+PlotParam=read_GUI(handles.uvmat);
 [PP,PlotParamOut]= plot_field(AxeData,haxes,PlotParam);
 write_plot_param(handles,PlotParamOut); %update the auto plot parameters
@@ -4283,5 +4285,5 @@
     set(handles.edit_object,'BackgroundColor',[1,1,0])  
     %suppress the other options 
-    set(handles.zoom,'Value',0)
+    set(handles.CheckZoom,'Value',0)
     zoom_Callback(hObject, eventdata, handles)
     hgeometry_calib=findobj(allchild(0),'tag','geometry_calib');
@@ -4396,5 +4398,6 @@
 if option==1 ||option==2% lefet mouse selection, peroject the field:
     ProjData= proj_field(UvData.Field,ObjectData);%project the current interface field on ObjectData
-    plot_field(ProjData,PlotHandles.axes3,read_plot_param(PlotHandles));%read plotting parameters on the uvmat interfacPlotHandles);
+    %plot_field(ProjData,PlotHandles.axes3,read_plot_param(PlotHandles));%read plotting parameters on the uvmat interfacPlotHandles);
+    plot_field(ProjData,PlotHandles.axes3,read_GUI(get(PlotHandles.axes3,'Parent')));%read plotting parameters on the uvmat interfacPlotHandles);
     UvData.Object=update_obj(UvData,IndexObj,[]);
     set(handles.uvmat,'UserData',UvData)
@@ -4587,6 +4590,6 @@
 
 %suppress competing options 
-set(handles.zoom,'Value',0)
-set(handles.zoom,'BackgroundColor',[0.7 0.7 0.7])
+set(handles.CheckZoom,'Value',0)
+set(handles.CheckZoom,'BackgroundColor',[0.7 0.7 0.7])
 set(handles.list_object_1,'Value',1)      
 % initiate display of GUI geometry_calib
@@ -5028,6 +5031,6 @@
 set(handles.MenuObject,'checked','on')
 set(handles.uvmat,'UserData',UvData)
-set(handles.zoom,'Value',0)
-zoom_Callback(handles.uvmat, [], handles)
+set(handles.CheckZoom,'Value',0)
+CheckZoom_Callback(handles.uvmat, [], handles)
 set(handles.delete_object,'Visible','on')
 set(handles.uvmat_title,'Visible','on')
@@ -5037,6 +5040,6 @@
 function MenuRuler_Callback(hObject, eventdata, handles)
 %------------------------------------------------------------------------
-set(handles.zoom,'Value',0)
-zoom_Callback(handles.uvmat, [], handles)
+set(handles.CheckZoom,'Value',0)
+CheckZoom_Callback(handles.uvmat, [], handles)
 set(handles.MenuRuler,'checked','on')
 UvData=get(handles.uvmat,'UserData');
